diff --git a/packages/ti/csl/src/ip/dss/V4/priv/csl_dssVideoPipe.c b/packages/ti/csl/src/ip/dss/V4/priv/csl_dssVideoPipe.c
index 5ec831e..f3fb3cc 100755
--- a/packages/ti/csl/src/ip/dss/V4/priv/csl_dssVideoPipe.c
+++ b/packages/ti/csl/src/ip/dss/V4/priv/csl_dssVideoPipe.c
@@ -1283,25 +1283,29 @@ static void CSL_dssVidPipeEnableFlip(CSL_dss_pipeRegs *pipeRegs,
                  DSS_VID1_ATTRIBUTES_FLIP,
                  (uint32_t) CSL_DSS_VID1_ATTRIBUTES_FLIP_VAL_FLIP);
         CSL_REG32_WR(&pipeRegs->ATTRIBUTES, regVal);
+    } 
+    else
+    {
+        regVal = CSL_REG32_RD(&pipeRegs->ATTRIBUTES);
+        CSL_FINS(regVal,
+                 DSS_VID1_ATTRIBUTES_FLIP,
+                 (uint32_t) CSL_DSS_VID1_ATTRIBUTES_FLIP_VAL_NOFLIP);
+        CSL_REG32_WR(&pipeRegs->ATTRIBUTES, regVal);
     }
 
     if(FVID2_FLIP_TYPE_H == (FVID2_FLIP_TYPE_H & flipType))
     {
         widthInBytes = CSL_dssVidPipeWidthInBytes(pipeCfg);
-        regVal = CSL_REG32_FEXT(&pipeRegs->ROW_INC,
-                                DSS_VID1_ROW_INC_ROWINC);
-        regVal2 = -((2 * (int32_t) widthInBytes) + (int32_t) regVal);
+        widthInBytes = widthInBytes + pipeCfg->inFmt.pitch[0] - 1;
+        regVal2 = -((int32_t) widthInBytes);
         CSL_REG32_FINS(&pipeRegs->ROW_INC,
                        DSS_VID1_ROW_INC_ROWINC,
                        regVal2);
-
-        regVal = CSL_REG32_FEXT(&pipeRegs->ROW_INC_UV,
-                                DSS_VID1_ROW_INC_UV_ROWINC);
-        regVal2 = -((2 * (int32_t) widthInBytes) + (int32_t) regVal);
         CSL_REG32_FINS(&pipeRegs->ROW_INC_UV,
                        DSS_VID1_ROW_INC_UV_ROWINC,
                        regVal2);
     }
+
 }
 
 static void CSL_dssVidPipeSetYUVAttrs(CSL_dss_pipeRegs *pipeRegs,
